Bug 152187 - CRASH when opening Properties tab of Text Portion in UNO Inspector
Summary: CRASH when opening Properties tab of Text Portion in UNO Inspector
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+
Hardware: All All
: medium critical
Assignee: Julien Nabet
URL:
Whiteboard: target:7.5.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: UNO-Object-Inspector
  Show dependency treegraph
 
Reported: 2022-11-23 14:01 UTC by Stéphane Guillou (stragu)
Modified: 2022-11-24 20:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By: Noel Grandin


Attachments
Backtrace (18.29 KB, text/plain)
2022-11-23 15:44 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Guillou (stragu) 2022-11-23 14:01:12 UTC
Steps:

1. Open a component (e.g. Writer)
2. Tools > Development tools
3. In Object panel, expand Paragraph > Paragraph 1 > Click on Text Portion
4. Click on the Properties tab

Results:
Crash

In:

Version: 7.5.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: a41c82407bbb73a4d87070326485ec4b4e954a65
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

Not in:

Version: 7.4.2.3 / LibreOffice Community
Build ID: 382eef1f22670f7f4118c8c2dd222ec7ad009daf
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: de-DE (en_AU.UTF-8); UI: en-US
Calc: threaded

Crash reporter does not give me a link to a trace.
Not using a debug build, so seems different to Bug 143640
Comment 1 Aron Budea 2022-11-23 15:43:23 UTC
Regression could be bibisected to the following commit using repo linux-64-7.5. Adding CC: to Noel Grandin.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d57ad60d8ed5279a3366386553c5cefb7ae8b5bf
author		Noel Grandin <noelgrandin@gmail.com>	2022-08-08 21:04:48 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2022-08-12 22:12:45 +0200

"unique_ptr->optional in SwXTextPortion"

This is what I see on the console in a debug build:
/usr/include/c++/11/optional:446: constexpr const _Tp& std::_Optional_base_impl<_Tp, _Dp>::_M_get() const [with _Tp = com::sun::star::uno::Any; _Dp = std::_Optional_base<com::sun::star::uno::Any, false, false>]: Assertion 'this->_M_is_engaged()' failed.
Comment 2 Aron Budea 2022-11-23 15:44:14 UTC
Created attachment 183738 [details]
Backtrace
Comment 3 Julien Nabet 2022-11-23 19:31:59 UTC
I gave a try with https://gerrit.libreoffice.org/c/core/+/143191
Comment 4 Commit Notification 2022-11-23 20:33:56 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ab09eceb3f5eae6a3e6eeb39d99739684e20363b

tdf#152187: CRASH when opening Properties tab of Text Portion in UNO Inspector

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Stéphane Guillou (stragu) 2022-11-24 20:59:51 UTC
Thank you Julien! Verified as fixed in:

Version: 7.5.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: c130063895c7a733ad121db1bf5fbceac38f6ad5
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded